/* Use this script if you need to support IE 7 and IE 6. */

window.onload = function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'icomoon\'">' + entity + '</span>' + html;
	}
	var icons = {
			'icon-home' : '&#xe000;',
			'icon-office' : '&#xe001;',
			'icon-newspaper' : '&#xe002;',
			'icon-pencil' : '&#xe003;',
			'icon-pencil-2' : '&#xe004;',
			'icon-quill' : '&#xe005;',
			'icon-paint-format' : '&#xe006;',
			'icon-image' : '&#xe007;',
			'icon-images' : '&#xe008;',
			'icon-music' : '&#xe009;',
			'icon-play' : '&#xe00a;',
			'icon-pacman' : '&#xe00b;',
			'icon-bullhorn' : '&#xe00c;',
			'icon-library' : '&#xe00d;',
			'icon-file' : '&#xe00e;',
			'icon-tag' : '&#xe014;',
			'icon-tags' : '&#xe015;',
			'icon-coin' : '&#xe00f;',
			'icon-pushpin' : '&#xe063;',
			'icon-calendar' : '&#xe019;',
			'icon-clock' : '&#xe010;',
			'icon-print' : '&#xe01a;',
			'icon-keyboard' : '&#xe01b;',
			'icon-bubble' : '&#xe020;',
			'icon-bubbles' : '&#xe011;',
			'icon-bubbles-2' : '&#xe012;',
			'icon-forward' : '&#xe06c;',
			'icon-undo' : '&#xe021;',
			'icon-redo' : '&#xe013;',
			'icon-reply' : '&#xe016;',
			'icon-user' : '&#xe022;',
			'icon-users' : '&#xe023;',
			'icon-expand' : '&#xe017;',
			'icon-user-2' : '&#xe018;',
			'icon-lock' : '&#xe01c;',
			'icon-key' : '&#xe01d;',
			'icon-key-2' : '&#xe01e;',
			'icon-unlocked' : '&#xe01f;',
			'icon-wrench' : '&#xe02b;',
			'icon-cog' : '&#xe024;',
			'icon-bug' : '&#xe02d;',
			'icon-lab' : '&#xe025;',
			'icon-link' : '&#xe036;',
			'icon-thumbs-up' : '&#xe06d;',
			'icon-thumbs-up-2' : '&#xe03a;',
			'icon-star' : '&#xe038;',
			'icon-flag' : '&#xe037;',
			'icon-attachment' : '&#xe032;',
			'icon-eye' : '&#xe026;',
			'icon-menu' : '&#xe046;',
			'icon-remove' : '&#xe027;',
			'icon-close' : '&#xe028;',
			'icon-checkmark' : '&#xe029;',
			'icon-checkmark-2' : '&#xe02a;',
			'icon-arrow-left' : '&#xe067;',
			'icon-arrow-right' : '&#xe066;',
			'icon-arrow-up' : '&#xe02c;',
			'icon-arrow-down' : '&#xe02e;',
			'icon-google-plus' : '&#xe050;',
			'icon-facebook' : '&#xe02f;',
			'icon-twitter' : '&#xe045;',
			'icon-feed' : '&#xe047;',
			'icon-file-css' : '&#xe030;',
			'icon-chrome' : '&#xe054;',
			'icon-IE' : '&#xe055;',
			'icon-firefox' : '&#xe053;',
			'icon-plus' : '&#xe031;',
			'icon-minus' : '&#xe033;',
			'icon-warning' : '&#xe034;',
			'icon-happy' : '&#xe035;',
			'icon-sad' : '&#xe039;',
			'icon-notification' : '&#xe03c;',
			'icon-lightning' : '&#xe03b;',
			'icon-search' : '&#xe03d;',
			'icon-eye-blocked' : '&#xe03e;',
			'icon-eye-2' : '&#xe03f;',
			'icon-heart' : '&#xe040;',
			'icon-play-2' : '&#xe041;',
			'icon-switch' : '&#xe042;',
			'icon-mail' : '&#xe043;',
			'icon-feed-2' : '&#xe044;',
			'icon-profile' : '&#xe048;',
			'icon-support' : '&#xe049;',
			'icon-users-2' : '&#xe04a;',
			'icon-shield' : '&#xe04b;',
			'icon-bars' : '&#xe04c;',
			'icon-trophy' : '&#xe04d;',
			'icon-earth' : '&#xe04e;',
			'icon-heart-broken' : '&#xe04f;',
			'icon-info' : '&#xe051;',
			'icon-checkmark-circle' : '&#xe052;',
			'icon-books' : '&#xe056;',
			'icon-book' : '&#xe057;',
			'icon-folder' : '&#xe058;',
			'icon-bold' : '&#xe059;',
			'icon-underline' : '&#xe05a;',
			'icon-italic' : '&#xe05b;',
			'icon-list' : '&#xe05c;',
			'icon-list-2' : '&#xe05d;',
			'icon-numbered-list' : '&#xe05e;',
			'icon-quotes-left' : '&#xe05f;',
			'icon-playUp' : '&#xe060;',
			'icon-playDown' : '&#xe061;'
		},
		els = document.getElementsByTagName('*'),
		i, attr, html, c, el;
	for (i = 0; i < els.length; i += 1) {
		el = els[i];
		attr = el.getAttribute('data-icon');
		if (attr) {
			addIcon(el, attr);
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
};