/*
	Tovolt - Responsive q2a theme
	http://www.tovolt.com
	Rahul Aryan
*/

$(document).ready(function(){
	prettyPrint();	
 	$('.user-tab a.qa-avatar-link').click(function(e){e.preventDefault();}); 
	
	$('div.user-tab .onclick').click(function(){
		var check = $(this).hasClass('login-button');
		if(check === true){
			$('ul.user-nav').slideToggle('fast');
			$(this).toggleClass('active');	
		}else{
			$('ul.user-nav').slideToggle('fast');
			$(this).parent().toggleClass('active');	
		}		
	}); 
	
	$('.main').css('min-height', $('.left-content nav').height());
	
	$('li.show-more > a').click(function(){
		$('ul.sub-more').fadeToggle();
		$('.main').css('min-height', $('.left-content nav').height());		
	});

	var $aSelected = $('li.show-more li').find('a');
	if( $aSelected.hasClass('qa-nav-main-selected') ){
	  $('li.show-more > a').addClass('qa-nav-main-selected');
	}
	//dont edit this	
	var active_menu = $('.qa-nav-main-selected')[0];
	if(typeof active_menu == 'undefined'){
		$('.qa-nav-main-questions a').addClass('qa-nav-main-selected');
	}
	

		$('div.avatar-with-data,div.q-item-avatar').hover(function(){
			$(this).find('a.qa-avatar-link').addClass('avatar-fade').delay(1000).queue(function() {$(this).removeClass('avatar-fade'); $(this).dequeue();});
			$(this).find('div#facebookG').show(0).delay(1000).hide(0);		
		},function(){
			$(this).find('a.qa-avatar-link').removeClass('avatar-fade');
			$(this).find('div#facebookG').hide();	
		});
		
		
		function showData(){
			$(this).find('div.user-data').fadeIn('fast');
		}
		function hideData(){	
			$(this).find('div.user-data').fadeOut('fast');
		}
		

	var config = { 
		 interval: 500,	
		 over: showData, // function = onMouseOver callback (REQUIRED)    
		 timeout: 100, // number = milliseconds delay before onMouseOut    
		 out: hideData // function = onMouseOut callback (REQUIRED)    
	};

	$('div.avatar-with-data,div.q-item-avatar').hoverIntent( config );
	
	if($('h2.answer-title span').is(':empty')){
		$('h2.answer-title').hide();
	}

	//show hide menu in android
	$('.main-c .menu-showhide').toggle(function(){
		$('.left-content').show().css('width','170px');
		$(this).css('left','170px','background', '#AAAAAA', 'border', '1px solid #AAAAAA');
	},function(){
		$('.left-content').hide().css('width','0px');
		$(this).css('left','0px','background', 'rgba(0, 0, 0, 0.8)', 'border', '1px solid #000000');
	});
 	$(window).resize(function(){
		$('.left-content').removeAttr('style');
	}); 
	
	
});

